#/bin/sh

database=$1
server=$2

echo "Backing up ${database}@${server}"
command="cd dbmanager && ./bin/console db:backup ${database}"
name=$(ssh www-data@${server} "${command}" | awk -F'-|\\.def' '{split($1,a," ")}$0=a[4]')
echo "Backup filename: ${name}"

local_dir="$HOME/projects/dbmanager"
echo "Copying ${name} to ${local_dir}"
scp -C www-data@${server}:/var/www/dbmanager/${name} "${local_dir}"

echo "Purging and restoring back to ${database}"
cd ${local_dir} && ./bin/console db:purge ${database} && ./bin/console db:restore ${database} ${name}
